dpdk (17.11.9-0ubuntu18.04.1) bionic-security; urgency=medium

  * SECURITY REGRESSION: updated to 17.11.9 to fix regression in 17.11.8
    (LP: #1853463)
    - vhost: fix vring requests validation broken if no FD

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 Nov 2019 09:46:12 -0500

dpdk (17.11.8-0~ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Updated to 17.11.8 to fix security issue.
    - CVE-2019-14818
  * debian/patches/lp-1827102-kni-fix-build-with-Linux-5.1.patch: removed,
    included in new version.
  * debian/patches/fix_kernel_53_build.patch: fix build with kernel 5.3.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Nov 2019 07:11:41 -0500

dpdk (17.11.6-0~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release 17.11.6 (LP: #1836365)
    For a full list of changes see:
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id6
    - drop patches upstream in 17.11.6:
      d/p/0001-kni-fix-build-for-dev_open-in-Linux-5.0.patch
      d/p/0002-kni-fix-build-for-igb_ndo_bridge_setlink-in-Linux-5..patch
  * d/p/lp-1827102-kni-fix-build-with-Linux-5.1.patch fix kni DKMS build with
    Linux 5.1 kernels (LP: #1827102)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 12 Jul 2019 15:03:53 +0200

dpdk (17.11.5-0~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release 17.11.5; for a full list of changes see:
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id4
    https://doc.dpdk.org/guides-17.11/rel_notes/release_17_11.html#id5
    Among many other fixes this closes the following bugs:
    - request to merge 17.11.5 (LP: #1817675)
    - issues with -mavx512f on recent Skylake chips (LP: #1799397)
    - Drop d/p/net-mlx5-fix-build-with-rdma-core-v19.patch which is part of
      17.11.4
  * d/p/*kni-fix-build*: fix build with kernel 5.0 (LP: #1814919)
    as preparation for a HWE kernel based on the 5.0 version of 19.04

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 26 Feb 2019 12:34:12 +0100

dpdk (17.11.3-3~ubuntu0.18.04) bionic; urgency=medium

  * Make DPDK LTS release available in Bionic (LP: #1784816)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Aug 2018 11:07:07 +0200

dpdk (17.11.3-3) unstable; urgency=medium

  * d/p/net-mlx5-fix-build-with-rdma-core-v19.patch: fix Build against
    rdma-core v19 which is in Debian unstable now. (This will most likely be
    in 17.11.4 and can then be dropped)

 -- Luca Boccassi <bluca@debian.org>  Mon, 30 Jul 2018 10:34:20 +0100

dpdk (17.11.3-2) unstable; urgency=medium

  * Temporarily disable ML4 and MLX5 again to fix FTBS due to
    incompatibility with rdma-core 19.0.

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Jul 2018 11:14:22 +0100

dpdk (17.11.3-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release 17.11.3; for a full list of changes see:
    https://dpdk.org/doc/guides-17.11/rel_notes/release_17_11.html
  * d/control: binary package and build-dependency for MLX4 and MLX5 PMDs.
    - d/librte-pmd-mlx*.symbols: symbol files for mlx PMDs
    - d/p/app-testpmd-add-ethernet-peer-command.patch: ensure MLX PMDs are
      well testable

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Jun 2018 13:42:27 +0100

dpdk (17.11.2-1ubuntu0.1) bionic-security; urgency=medium

  * Release as bionic security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Apr 2018 07:26:59 -0400

dpdk (17.11.2-1) unstable; urgency=high

  * New upstream release 17.11.2; for a full list of changes see:
    https://dpdk.org/doc/guides-17.11/rel_notes/release_17_11.html
    * Fixes CVE-2018-1059 (Closes: #896688).

 -- Luca Boccassi <bluca@debian.org>  Mon, 23 Apr 2018 14:45:21 +0100

dpdk (17.11.1-6) unstable; urgency=medium

  * test-linkage: drop brittle test for secondary library dependencies

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Mar 2018 14:53:15 +0000

dpdk (17.11.1-5) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/control: depend on dpdk-dev to be able to use dpdk-sdk-env.sh
  * d/t/testlinkage: improvements and fixes for current debci issues
    - Use RTE_SDK to build the binary
    - verbose execution for better debugging
    - check for librt instead of libpthread as second level lib
    - use a valid prototype for main

  [ Luca Boccassi ]

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Mar 2018 10:41:06 +0000

dpdk (17.11.1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/control: let libdpdk-dev depend on zlib1g-dev as it is used on build and
    creeps into pkg-config. Even thou at the moment no dpdk .so uses it is
    required to build correctly with the libs provided by pkg-config.

  [ Luca Boccassi ]

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Mar 2018 11:09:27 +0000

dpdk (17.11.1-3) unstable; urgency=medium

  * autopkgtest: add pkg-config dependency to really fix linkage test.

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Mar 2018 12:38:04 +0000

dpdk (17.11.1-2) unstable; urgency=medium

  * autopkgtest: use libdpdk pkg-config to set all the required compiler
    flags.

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Mar 2018 16:52:46 +0000

dpdk (17.11.1-1) unstable; urgency=medium

  * New upstream release 17.11.1; for a full list of changes see:
    http://dpdk.org/doc/guides/rel_notes/release_17_11.html

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Mar 2018 13:06:52 +0000

dpdk (17.11-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes.
  * Add dependency on Python to dpdk-doc for diagram-generator.py and
    pipeline-to-core-mapping.py. Fixes Lintian Error:
    python-script-but-no-python-dep
  * Fix librte-gro17.11 short description to mention -gro instead of
    -eal. (Closes: #885832)
  * dpdk: depend on python3-pyelftools since the scripts can work with either
    version.
  * dpdk-doc: depend only on python3 since the pipeline tools can work
    with python3. (Closes: #883153)
  * dpdk/dpdk-doc: change all scripts shebangs from python to python3.
  * dpdk-doc: mark Python dependency with :any.
  * Bump Standards-Version to 4.1.3 - no changes.
  * d/control, d/changelog: use HTTPS for dpdk.org links.

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Feb 2018 18:07:19 +0000

dpdk (17.11-4) unstable; urgency=low

  [ Luca Boccassi ]
  * Fix librte-gro17.11 short description to mention -gro instead of
    -eal. (Closes: #885832)

  [ Christian Ehrhardt ]
  * d/rules: make auto-loaded drivers dir versioned (LP: #1741244).
    3rd party drivers should drop into the versioned directories now to show
    their support for that version and to be autoloaded by librte_eal due
    to that.

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Jan 2018 13:52:07 +0000

dpdk (17.11-3) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2017 19:17:13 +0000

dpdk (17.11-2) experimental; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes.
  * Add dependency on Python to dpdk-doc for diagram-generator.py and
    pipeline-to-core-mapping.py. Fixes Lintian Error:
    python-script-but-no-python-dep

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Nov 2017 19:16:11 +0000

dpdk (17.11-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * Add librte-pmd-failsafe package.
  * Drop mk-order-CFLAGS-so-that-ISCDIR-comes-before-IRTE_OUT.patch and
    add mk-install-symlinks-before-build-step.patch which has the same
    result but is much simpler and easier to maintain.
  * Build-Depend on debhelper (>= 9.20160709) rather than dh-systemd as
    latter is deprecated. Fixes Lintian Error:
      build-depends-on-obsolete-package
  * Build-Depend on the Python 3 version of the Sphinx packages to fix
    Lintian Warning: build-depends-on-python-sphinx-only
  * New upstream release 17.11; for a full list of changes see:
    http://dpdk.org/doc/guides/rel_notes/release_17_11.html
  * Bump ABI version of packages from 17.08 to 17.11.
  * Fix upstream version parsing in d/rules to account for -rcX.
  * Add packages for new libraries/PMDs: librte-bus-pci17.11,
    librte-security17.11, librte-mempool-octeontx17.11,
    librte-flow-classify17.11, librte-gso17.11, librte-member17.11,
    librte-pci17.11, librte-pmd-softnic17.11, librte-bus-vdev17.11.
  * Drop mk-* patches for reproducible builds, merged upstream.
  * Refresh fix-vhost-user-socket-permission.patch to remove fuzz from
    17.11-rc3.
  * Switch generated dependencies to Python 3 due to switch to Python 3
    Sphinx.
  * Build-Depend on debhelper (>= 9.20160709) | dh-systemd to keep
    compatibility with Ubuntu 16.04, which does not yet have that
    of debhelper.
  * Revert: d/rules: use new dh option names - Ubuntu 16.04 does not
    have a debhelper that supports the new option, so use the old
    ones for now.
  * Drop librte-pmd-xenvirt17.11, deprecated upstream, and related
    build-dependencies.
  * Correctly parse upstream version when using ~rc instead of -rc.
  * Update symbols files for 17.11.
  * Backport testpmd-link-virtio.patch to link testpmd with the virtio
    pmd to fix failure to run in VMs with virtio based interfaces

  [ Christian Ehrhardt ]
  * d/rules: use new dh option names
  * d/rules: properly enable dpdk systemd service
  * d/control: improve dpdk-pmdinfo user experience by making
    python-pyelftools a recommended dependency.
  * d/control: add librte-pmd-octeontx17.11
  * d/t/control: fix test dependencies for s390x (Closes: #882480).

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 Nov 2017 17:50:12 +0000

dpdk (17.08-4) experimental; urgency=medium

  * Drop mk-order-CFLAGS-so-that-ISCDIR-comes-before-IRTE_OUT.patch and
    add mk-install-symlinks-before-build-step.patch which has the same
    result but is much simpler and easier to maintain.

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Sep 2017 10:13:02 +0100

dpdk (17.08-3) experimental; urgency=medium

  * Re-enable build of librte-pmd-failsafe.
  * Add librte-pmd-failsafe package.

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Sep 2017 18:30:58 +0100

dpdk (17.08-2) experimental; urgency=medium

  * Disable build of librte-pmd-failsafe, not yet packaged but it ends
    up mentioned in the pkg-config otherwise.

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Sep 2017 18:17:24 +0100

dpdk (17.08-1) experimental; urgency=medium

  * New Upstream release 17.08.
  * Add librte-gro package.
  * Drop patches merged upstream: fix-power-default-config.patch,
    mk-use-make-silent-flag-to-print-HTML-doc-version.patch,
    mk-fix-excluding-.doctrees-when-installing-docs.patch.
  * Refresh fix-vhost-user-socket-permission.patch to remove fuzz.
  * Add build-dependency on libnuma-dev, mandatory since 17.08.
  * Update mk-order-CFLAGS-so-that-ISCDIR-comes-before-IRTE_OUT.patch to
    include librte-gro.
  * debian/update-helper-symbols: do not append .0 to SOVERSION.
  * debian/rules: use dpkg's DEBIAN_VERSION_UPSTREAM and DEB_HOST_*
    variables instead of parsing and setting them manually.
  * Update symbols files to reflect changes in the libraries.
  * Switch to debian.org email address.

 -- Luca Boccassi <bluca@debian.org>  Thu, 31 Aug 2017 19:10:12 +0100

dpdk (17.05.1-4) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Fix d/p/fix-vhost-user-socket-permission.patch: add mis-dropped
    create_unix_socket call and reposition rte_eal_set_socket_permissions
  * Fix d/p/fix-vhost-user-socket-permission.patch
    - add accidenitally dropped create_unix_socket call
    - reposition rte_eal_set_socket_permissions to match 17.05 handling of
      vhost-user server sockets (and their late binding)

  [ Luca Boccassi ]
  * Mark build-dependencies needed for documentation builds with the <!nodoc>
    build-profile to fully implement support for it.
  * Bump Standards-Version to 4.1.0. Relevant changes are nodoc support and
    build reprodicibility.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 23 Aug 2017 14:45:54 +0100

dpdk (17.05.1-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Fix reproducibility of librte-eal linuxapp.

  [ Christian Ehrhardt ]
  * d/rules: fix reference path of dpdk-devbind to match the new
    subdirectory which is in /usr/share/dpdk/usertools

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 18 Aug 2017 12:21:32 +0100

dpdk (17.05.1-2) experimental; urgency=medium

  * Install headers with arch-specific content in /usr/include/<multiarch>/dpdk
    to make libdpdk-dev multiarch-compliant.
    To ensure backward compatibility in x86_64, which is what most of the
    consumers use, symlink x86_64 headers in /usr/include/dpdk.
    pkg-config returns the arch-specific headers first so that other
    architectures are still compatible.
    Also create a full copy of the headers in the dpdk-dev SDK package, as it
    does not support multiple levels of headers.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 09 Aug 2017 13:02:28 +0100

dpdk (17.05.1-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * New Upstream release 17.05.1.
  * Add patches to make the libraries and PMDs builds fully reproducible,
    by making the listing order of headers, source files and objects in
    the makefiles stable (via sorting).

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 13 Jul 2017 18:43:12 +0100

dpdk (17.05-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New Upstream release 17.05; For a full list of changes (LP: #1691661)
    see http://dpdk.org/doc/guides/rel_notes/release_17_05.html
    - adapt to use MAJOR_ABI configuration to avoid the sub-lib abi
      version breakage of the past.
    - add d/update-helper* to update d/control and d/*.symbols for new versions
    - adapt to new build trigger and location of tests; provide further
      test tools (testacl, testpipeline) together with the already
      provided "test" tool in /usr/share/dpdk/test/ of dpdk-dev.
      Note: testpmd is installed "officially" by install-sdk and therefore
      stays separate from other test tools.
    - updated library arch availability/dependency: librte-kni is
      available on ppc64el; librte-pmd-i40e on all arches;
      librte-pmd-fm10k gone on ppc64el
    - package the 19 new sub-libs / pmds that are now built by default
    - rename and update symbols files to match the update to DPDK 17.05

  [ Luca Boccassi ]
  * Rename libraries after ABI major version rather than source version.
  * Always set CONFIG_RTE_MAJOR_ABI, even for custom config files as all the
    packaging is tuned around it.
  * Drop patches merged upstream and refresh
    fix-vhost-user-socket-permission.patch
  * Add patches to make the documentation and linker script builds fully
    reproducible. There are still reproducibility issues due to the use
    of __FILE__ and absolute paths.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 22 Jun 2017 19:20:35 +0100

dpdk (16.11.4-1) unstable; urgency=medium

  * Merge stable update to 16.11.4; For a list of changes see
    http://dpdk.org/ml/archives/announce/2017-December/000163.html
  * Drop kni-fix-ethtool-build-with-kernel-4.11.patch, merged upstream.

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Dec 2017 10:24:05 +0000

dpdk (16.11.3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Merge stable update to 16.11.3; For a list of changes see
    http://dpdk.org/ml/archives/announce/2017-August/000143.html
  * Fix reproducibility of librte-eal linuxapp.
  * Mark build-dependencies needed for documentation builds with the <!nodoc>
    build-profile to fully implement support for it.
  * Bump Standards-Version to 4.1.0. Relevant changes are nodoc support and
    build reprodicibility.
  * Switch to debian.org email address.
  * Build-Depend on debhelper (>= 9.20160709) rather than dh-systemd as
    latter is deprecated. Fixes Lintian Error:
      build-depends-on-obsolete-package
  * Fix upstream version parsing in d/rules to account for -rcX.
  * Build-Depend on debhelper (>= 9.20160709) | dh-systemd to keep
    compatibility with Ubuntu 16.04, which does not yet have that
    of debhelper.
  * Revert: d/rules: use new dh option names - Ubuntu 16.04 does not
    have a debhelper that supports the new option, so use the old
    ones for now.
  * Correctly parse upstream version when using ~rc instead of -rc.
  * Bump Standards-Version to 4.1.1, no changes.

  [ Christian Ehrhardt ]
  * d/rules: use new dh option names
  * d/rules: properly enable dpdk systemd service
  * d/t/control: fix test dependencies for s390x.

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Nov 2017 18:41:35 +0000

dpdk (16.11.2-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/igb_uio-switch-to-new-irq-function-for-MSI-X.patch: fix dkms issue
    in kernel 4.12 (LP: #1700768)

  [ Luca Boccassi ]
  * Add patches to make the documentation and linker script builds fully
    reproducible.
  * Add patches to make the libraries and PMDs builds fully reproducible,
    by making the listing order of headers, source files and objects in
    the makefiles stable (via sorting).

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 30 Jun 2017 12:09:59 +0100

dpdk (16.11.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 19 Jun 2017 11:51:39 +0100

dpdk (16.11.2-2) experimental; urgency=medium

  * Restore fixes by Santiago RR for typos in debian/control, accidentally
    dropped in 16.11.2-1.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 15 Jun 2017 13:36:30 +0100

dpdk (16.11.2-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Merge stable update to 16.11.2; For a list of changes
    see http://dpdk.org/ml/archives/announce/2017-May/000131.html
  * Dropped changes - patches that were included in 16.11.2 stable:
    - d/p/kni-fix-build-with-kernel-4.11.patch
    - d/p/nicvf-0002-net-thunderx-fix-32-bit-build.patch
    - d/p/nicvf-0006-mk-fix-lib-filtering-when-linking-app.patch
    - d/p/nicvf-0008-net-thunderx-fix-stats-access-out-of-bounds.patch
    - d/p/nicvf-0010-net-thunderx-fix-deadlock-in-Rx-path.patch

  [ Luca Boccassi ]
  * Optionally generate libdpdk-dbgsym metapackage that depends on every
    librte/PMD binary package's dbgsym. Keep it disabled by default, and
    let users choose to enable it by passing dbgsym_meta via DEB_BUILD_OPTIONS.
    Thanks Jan Blunck for the patch!
  * Generate dependency list of libdpdk-dev to all librte and PMDs packages
    dynamically at build time.
  * Generate list of recommends for dpdk dynamically at build time.
  * dpdk-modules-$KVERS: depend on same kernel version used to build rather than
    just recommend - in-kernel API/ABI is not stable.
  * Support for building packages for the new mempool framework has been added.
    In 17.05 and newer a mempool framework was added, that has to be loaded
    like a PMD. So any "plugin" will be linked in RTE_EAL_PMD_PATH just like
    the PMDs. No mempool plugins are built for now, so it is currently a no-op.
  * Drop libethdev4, librte-cryptodev1 and librte-eal2 transitional packages,
    no longer needed.
  * Fix some upstream documentation links in the packages metadata.
    Thanks Chas Williams!
  * Fix building debugging symbols for -dbgsym packages. Thanks Chas Williams!

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 15 Jun 2017 11:30:23 +0100

dpdk (16.11.1-2) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Merge stable update to 16.11.1; For a list of changes
    see http://dpdk.org/ml/archives/dev/2017-March/058930.html
  * dpdk.conf: add info about unwanted effects of multiple hugepage
    mountpoints
  * d/p/dpdk-dev-v3-eal-sPAPR-IOMMU-support-in-pci-probing-for-vfio-pci-
    in-ppc64le.patch: sPAPR IOMMU based pci probing enabled for vfio-pci
    devices.
  * enable librte-pmd-i40e1 for ppc64el
    - debian/control: enable arch onpackage
    - d/p/dpdk-dev-v4-i40e-implement-vector-PMD-for-altivec.patch: add i40e
      PMD / vector PMD implementation and enable by default on ppc64el
  * fix library availability/dependency
    - librte-kni is built on ppc64el, fix dependency from libdpdk-dev
    - librte-pmd-fm10k1 is not built on ppc64el (empty pkg atm) adapt arch
    - librte-pmd-i40e is built on all architectures now
  * Fix up thunderx to make arm support useful on more devices (LP: #1691659)
    - d/p/nicvf-00[01-10]* backports of 17.02/17.05 fixes for thunderx
    - d/control: dependencies and package for librte-pmd-thunderx-nicvf
    - d/librte-pmd-thunderx-nicvf1.symbols: tracking library symbols
  * fix dpdk-rte-kni dkms issues with kernel 4.11 (LP: #1691830)
    - d/p/kni-fix-build-with-kernel-4.11.patch: fix pci_enable_msix usage
    - d/p/kni-fix-ethtool-build-with-kernel-4.11.patch: Use new signal header
  * ensure man pages are bundled with executables on all architectures
  * d/p/fix-vhost-user-socket-permission.patch: updated to work with newer
    openvswitch versions

  [ Luca Boccassi ]
  * Simplify debian/rules by using upstream's install target
    and Debian's multiarch dir. Thanks Jan Blunck!
  * Clarify that only the kni and igb_uio kernel modules are
    distributed exclusively under the GPL2 in debian/copyright
  * Add new DEB_BUILD_OPTIONS "nodoc" to allow users to avoid
    building the DPDK documentation
  * Add new DEB_BUILD_OPTIONS "nostatic" to allow users to avoid
    building the DPDK static libraries
  * Add try-restart to dpdk.init script
  * Update Standards-Version to 4.0.0

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 25 May 2017 11:46:35 +0100

dpdk (16.11-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Merge stable release 16.11 and adapt patches
    - imported latest stable release from dpdk-16.11.tar.gz
      stable release changelog at
      http://dpdk.org/doc/guides-16.11/rel_notes/release_16_11.html
    - Delete patches that are upstream:
      - d/p/dpdk-dev-ppc-enable-*
      - d/p/dpdk-dev-v2-*-4*
      - d/p/rte-devel-build-env.patch
      - d/p/rte-compile-pre-cppflags.patch
      - d/p/make-load-devel-config-not-to-appear-as-executable.patch
      - d/p/dpdk-dev-doc-fix-old-dpdk-nic-bind.py-references.patch
      - d/p/fix-double-license-info.patch
  * Added changes
    - add qede pmd now built by default
    - add new librte-net library
    - update symbols files to match the new release
    - make autotest dep8 test always pass (failed fatally on e.g. LP).
      We want to stabilize and get more logs of different environments before
      we can enable it as a gating test.
    - Make dpdk-dev's ${RTE_SDK}/${RTE_TARGET}/lib symlink multiarch aware
    - d/control: apply wrap and sort
    - d/control: Make the python-pyelftools only a Suggests
    - d/t/test-linkage: fix issues on non-x86 architectures
    - provide older ABI levels via backward compatibility of new DPDK libraries
      - d/control: add compat packages for old ABI versions
      - d/rules: generate and use multiarch aware link files for the soname
        mapping

  [ Luca Boccassi ]
  * Make dpdk suggest dpdk-doc (Closes: #847626)

  [ Luca Boccassi ]
  * Set maintainer to pkg-dpdk-dev alioth list
  * Make dpdk suggest dpdk-doc (Closes: #847626)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 16 Dec 2016 18:19:07 +0000

dpdk (16.07.2-1~git1) UNRELEASED; urgency=medium

  * Merge stable release 16.07.2 and adapt patches
    - imported latest stable release from dpdk-16.07.2.tar.gz
      stable release changelog at
      http://dpdk.org/doc/guides-16.07/rel_notes/release_16_07.html
    - Deleted:
      - d/p/dpdk-dev-v2-kni-fix-build-with-kernel-4.8.patch
      - d/p/fix-unusual-interpreter.patch
      - d/p/dpdk-dev-examples-ip_pipeline-fix-pmd-driver-parameter.patch
      - d/p/dpdk-dev-kni-fix-build-with-kernel-4.9.patch
      - d/p/dpdk-dev-ppc-enable-7-7-examples-ip_pipeline-fix-lcore-mapping-for-
        ppc64.patch
    - Refreshed (only offset changes)
      - d/p/dpdk-dev-ppc-enable-1-7-lpm-add-AltiVec-for-ppc64.patch
      - d/p/dpdk-dev-ppc-enable-2-7-acl-add-AltiVec-for-ppc64.patch
      - d/p/dpdk-dev-ppc-enable-4-7-sched-enable-on-ppc64le.patch
      - d/p/dpdk-dev-ppc-enable-6-7-config-enable-packet-framework-on-
        ppc64le.patch
      - d/p/dpdk-dev-v2-2-4-doc-rendering-and-installation-of-man-pages.patch
      - d/p/dpdk-dev-v2-3-4-doc-add-basic-invocation-info-for-dpdk-pmdinfo.patch
      - d/p/dpdk-dev-v2-4-4-doc-add-basic-invocation-info-for-dpdk-devbind.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 05 Dec 2016 07:08:01 +0100

dpdk (16.07-3) unstable; urgency=medium

  * Set myself as maintainer until the mailing list ACL problem
    is resolved. (Closes: #843688)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 25 Nov 2016 23:01:34 +0000

dpdk (16.07-2) unstable; urgency=low

  * Team upload.

  [ Christian Ehrhardt ]
  * Fix d/p/fix-vhost-user-socket-permission.patch for dpdk 16.07
    server/client sockets.
  * d/control add python-elftools and hwdata dependencies to dpdk for the tool
    dpdk-pmdinfo.
  * d/rules utilize RTE_EAL_PMD_PATH to autoload pmd drivers
    - d/dpdk-doc.README.Debian document usage of RTE_EAL_PMD_PATH
    - d/control let the runtime of dpdk recommend the pmd drivers to make them
      available for auto-probing devices.
  * d/rules support DEB_BUILD_OPTIONS parallel
  * d/rules bundle autotest as it is ready after build into dpdk-dev
    to make it available for autopkgtest and likewise developers.
  * enable dpdk autotests
    - d/t/test-autotest enable autotests as dep8 test. These fail in many
      build environments, so put them in an adt where required characteristics
      can be specified

  [ Gowrishankar Muthukrishnan ]
  * d/p/dpdk-dev-examples-ip_pipeline-fix-pmd-driver-parameter.patch to make
    ip_pipeline work properly with -d eal parameter
  * Update to d/p/dpdk-dev-examples-ip_pipeline-fix-pmd-driver-parameter.patch
    fixing dl_open issues.

  [ Santiago R.R. ]
  * debian/rules: Only export hardening related building HOST_/EXTRA flags
    when dpkg-dev < 1.18.11. On newer dpkg-dev versions, dpkg-buildflags
    handle them directly and are injected by gcc (6.x). Closes: #843685.

  [ Luca Boccassi ]
  * Fix DKMS build to use the requested kernel version rather than the running
    one. (Closes: #843864)
  * Fix kernel modules build failures due to the new -fPIE default by passing
    -fno-PIE.
  * Backport dpdk-dev-kni-fix-build-with-kernel-4.9.patch to fix kernel modules
    build failures on Linux 4.9.
  * Mark dpdk-doc as Multi-Arch: foreign
  * Finalize changelog for upload to unstable.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 14 Nov 2016 18:27:53 +0000

dpdk (16.07-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with upstream DPDK 16.07 release
  * Cleanup Lintian Warnings
    - d/p/fix-unusual-interpreter.patch fixes "W: dpdk-doc:
      unusual-interpreter"
    - d/p/fix-double-license-info.patch fixes "W: dpdk-rte-kni-dkms:
      extra-license-file"
  * Renamed d/p/ubuntu-fix-vhost-user-socket-permission.patch to
    d/p/fix-vhost-user-socket-permission.patch
  * Add lintian-overrides for: E: dpdk-dev: arch-dependent-file-in-usr-share
    These binaries are part of the sdk and meant to be shipped with the sdk.
  * d/p/dpdk-dev-doc-fix-old-dpdk-nic-bind.py-references.patch to fix the
    docs in regard to 16.07 changes renaming dpdk_nic_bind
  * d/p/make-load-devel-config-not-to-appear-as-executable.patch to avoid
    accidentally executing as script and to fix unusual-interpreter lintian
    warning.
  * fix d/t/test-initscripts on more recent systemd environments
  * enable dpdk for ppc64el
    - add ppc64el arch to valid dpdk pmds and rte libraries
    - select power config and machine for dpdk build system
    - disable xen pmd for ppc64el
    - d/tests: make tests compatible with ppc64el
    - d/dpdk.conf, d/dpdk-init add 16M huge page support
    - d/p/fix-power-default-config.patch enable bond PMD on ppc64el
  * add man pages for installed binaries
    - add backport of patches from upstream
    - call generation of man pages in d/rules
  * d/t/test-dkms retain dkms logs for debugging
  * fix rte_kni dkms build with kernel >= 4.8
    - d/p/dpdk-dev-v2-kni-fix-build-with-kernel-4.8.patch replaced macro with
      its value in kni ethtool drivers.

  [ Anders Roxell ]
  * debian/control: add pciutils to the dpdk depends list, since lspci is used
    by the devbind script

  [ Luca Boccassi ]
  * Add ${shlib:Depends} to dpdk-dev dependencies
  * Install api and guides in dpdk-doc
  * Convert debian/rules to new style DH targets
  * Add Recommends: python to dpdk-doc since it ships python scripts among the
    examples, fixes Lintian warning about missing python dependencies
  * Fix typo in dpdk-doc.README.Debian, fixes "W: dpdk-doc:
    spelling-error-in-readme-debian to to (duplicate word) to"
  * Fix upstream rc versions by using "~" instead of "-". 16.07-rc1 evaluates
    as newer than 16.07 which causes issues with Debian tools and Lintian
    errors and warnings:
    - W: libethdev4: latest-debian-changelog-entry-without-new-version
    - E: libethdev4: symbols-file-contains-current-version-with-debian-revision
      on symbol DPDK_16.04@DPDK_16.04 and 114 others
  * Add lintian-overrides for: "W: dpdk-doc: embedded-javascript-library"
  * Add optional binary kernel modules package, disabled by default (build with
    DEB_BUILD_OPTIONS=kernel_modules to enable). If enabled will build kernel
    modules against the local, current kernel version (override by adding
    ksrc=<path/to/kernel/sources> to DEB_BUILD_OPTIONS) into a
    dpdk-modules-<kernel version> package
  * Set HOST_/EXTRA/CPP/C/LDFLAGS in d/rules so that all built objects pick up
    all flags set by the dpkg environment, like hardening flags
  * Add rte-compile-pre-cppflags.patch to make all DPDK objects pick up the
    user specified or environment specified CPP/C/LDFLAGS.
    Fixes Lintian warning:
    - W: dpdk-dev: hardening-no-relro
         usr/share/dpdk/x86_64-default-linuxapp-gcc/app/dpdk-pmdinfogen
  * Add a brief HOWTO to debian/README.source with instructions to build the
    packages, for CI systems and the like.
  * Build with RTE_DEVEL_BUILD=n to avoid building test pmds with an rpath
    hardcoded to the package build PATH. Fixes Lintian Error:
    - E: dpdk: binary-or-shlib-defines-rpath usr/bin/dpdk-pdump
         /home/lboccass/git/dpdk_deb/debian/build/shared-root/lib
  * Fix d/watch file to point to fast.dpdk.org/rel
  * Allow DPDK_CONFIG, RTE_MACHINE, RTE_TARGET overrides via DEB_BUILD_OPTIONS
  * Initial Debian release. (Closes: #815760)
  * Use ?= to allow env var overrides in d/rules
  * Finalize changelog for upload to unstable.

  [ Santiago RR ]
  * improve debian/copyright
  * remove duplicate entries from d/control
  * debian/control:
    - dpdk: recommends dkms packages (dpdk-igb-uio-dkms, dpdk-rte-kni-dkms) on
      arm64 and suggest for other architectures.

  [ Gowrishankar Muthukrishnan ]
  * enable formerly disabled libraries in ppc64le config
  * d/control provide now supported packages for ppc64le
  * d/p/dpdk-dev-ppc-enable-* backports from dpdk to enable more features
    for ppc64le

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 27 Sep 2016 16:40:31 +0100

dpdk (16.07~rc5-1) UNRELEASED; urgency=medium

  [ Ricardo Salveti de Araujo ]
  * Merge with upstream DPDK 16.07-rc5 release

  [ Luca Boccassi ]
  * Generate pkgconfig and ship it in libdpdk-dev
  * Document use of dquilt for patches in debian/README.source

 -- Ricardo Salveti de Araujo <rsalveti@rsalveti.net>  Tue, 26 Jul 2016 14:13:38 -0300

dpdk (16.07~rc4-1) UNRELEASED; urgency=medium

  * Merge with upstream DPDK 16.07-rc4 release
    - Tools renamed, dpdk_nic_bind is now dpdk-devbind
  * Adapt d/p/ubuntu-fix-vhost-user-socket-permission.patch for dpdk 16.07-rc4

 -- Ricardo Salveti de Araujo <rsalveti@rsalveti.net>  Mon, 25 Jul 2016 13:38:13 -0300

dpdk (16.07~rc3-1) UNRELEASED; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with upstream DPDK 16.07-rc3 release
  * droping patches/backports that are already upstream in DPDK 16.07-rc3
    - d/p/ubuntu-fix-bond-symbol-export.patch
    - d/p/ubuntu-backport-33-vhost-user-add-error-handling-for-fd-1023.patch
  * adapt d/p/ubuntu-fix-vhost-user-socket-permission.patch for dpdk 16.07-rc3
  * update symbols

  [ Ricardo Salveti de Araujo ]
  * debian/rules:
    - Allow all make commands to be verbose
    - Fix libdpdk-dev headers path
  * Renaming package librte-pmd-e10001 to librte-pmd-e1000-1, to avoid mixing
    package name with soversion (lintian package-name-doesnt-match-sonames)
  * Adding package librte-pmd-bnxt1
  * Merging symbols files, handling the arch differences inline instead

  [ Anders Roxell ]
  * debian/control: add libpcap-dev to libdpdk-dev's Depends list

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Jul 2016 08:32:06 +0200

dpdk (16.07~rc1-1) UNRELEASED; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with upstream DPDK 16.07-rc1 release
  * droping patches/backports that are already upstream in DPDK 16.07
    - d/p/ubuntu-backport-39-lpm-fix-freeing-in-compatibility-mode.patch
      This was formerly part of a combined patch that we dropped because the
      majority is upstream (d/p/ubuntu-fix-lpm-use-after-free-and-leak.patch).
    - d/p/ubuntu-backport-40-linking-fixes-stage-[1-4]-4.patch
      d/p/ubuntu-backport-44-linking-cleanup.patch
      Fixing underlinking and overlinking issues in apps and libraries.
    - d/p/ubuntu-backport-41-fix-install-tar-1.29.patch
      Fix issues with tar >=1.29 (Yakkety)
    - d/p/ubuntu-backport-42-increase-default-logging-level.patch
      avoid default debug messages causing a perf degradation
    - d/p/ubuntu-backport-43-fix-level-type-retrieving.patch
      Fix type retrieving which was broken in standard threads
    - d/p/ubuntu-fix-xenvirt-support-dynamic-page-size.patch: fix build
      failure on arm64
  * droping patches/backports that are no more applicable
    - d/p/ubuntu-backport-38-* was never accepted despite looking good.
      Upstream discussion around proper successor started.
  * keeping patches:
    - d/p/ubuntu-backport-33-vhost-user-add-error-handling-for-fd-1023.patch
      Was never accepted, Upstream discussion around proper successor started.
  * adapt debian/* to upstream changes
    - update symbols and ABI versions
    - add librte-pdump1
  * adding changes
   - fix exported symbols of librte_pmd_bond (sent upstream, can be dropped
     later)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 06 Jul 2016 09:40:49 +0200

dpdk (16.04-1) UNRELEASED; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with upstream DPDK 16.04 release
  * droping patches/backports that are already upstream in DPDK 16.04
    - d/p/ubuntu-fix-doc-installpath.patch
    - d/p/ubuntu-fix-testpmd-without-xen.patch
    - d/p/ubuntu-fix-lpm-use-after-free-and-leak.patch
    - d/p/ubuntu-backport-[01-32,34-35] backports for stability
    - d/p/ubuntu-backport-[36-37] but keep doc and example changes in d/*
  * droping patches for soname / linking fixups.
    - Upstream now goes with proper soname/abi/api handling per sublib plus a
      linker script.
    - dropped d/p/ubuntu-combined-shared-lib-abiversion.patch
    - dropped d/p/ubuntu-fix-library-linkage.patch
  * keeping patches:
    - d/p/ubuntu-backport-38-* fix for memory leak
      this now applies as is, so changed from a modified backport to match the
      post 16.04 upstream commit now.
    - d/p/ubuntu-backport-33-vhost-user-add-error-handling-for-fd-1023.patch
    - doc and example changes that were related to d/p/ubuntu-backport-[36-37]
    - d/p/ubuntu-fix-vhost-user-socket-permission.patch adapted for dpdk-16.04:
      In the new build system with sublibs the exposed function needs to be
      listed in lib/librte_eal/linuxapp/eal/rte_eal_version.map
  * adding upstream backports - can be dropped when merging DPDK 16.07.
    - d/p/ubuntu-backport-39-lpm-fix-freeing-in-compatibility-mode.patch
      This was formerly part of a combined patch that we dropped because the
      majority is upstream (d/p/ubuntu-fix-lpm-use-after-free-and-leak.patch).
    - d/p/ubuntu-backport-40-linking-fixes-stage-[1-4]-4.patch
      d/p/ubuntu-backport-44-linking-cleanup.patch
      Fixing underlinking and overlinking issues in apps and libraries.
    - d/p/ubuntu-backport-41-fix-install-tar-1.29.patch
      Fix issues with tar >=1.29 (Yakkety)
    - d/p/ubuntu-backport-42-increase-default-logging-level.patch
      avoid default debug messages causing a perf degradation
    - d/p/ubuntu-backport-43-fix-level-type-retrieving.patch
      Fix type retrieving which was broken in standard threads
  * adapt to new build system
    - drop enabling the following build config symbols as they no more exist
        CONFIG_RTE_BUILD_COMBINE_LIBS
    - Sub-Libraries are now packaged in a versioned package per library. That
      allows consumers of dpdk to just depend on what they need. As well as
      installation of multiple .so versions concurrently.
    - added the hidden dependency of librte_eal to librte_mempool
    - use dpkg-buildflags and properly enable hardening
  * Adding DKMS package for rte_kni (LP: #1592786)

  [ Ricardo Salveti ]
  * Adding support for ARM64:
    - debian/control: adding arm64 to the supported architecture list
    - debian/rules: supporting dpdk config and machine for arm64
    - d/p/ubuntu-fix-xenvirt-support-dynamic-page-size.patch: fix build
      failure on arm64
    - debian/dpdk-sdk-env.sh: generating the right RTE_TARGET during build
      time, so we can also make it compatible with ARM64
    - debian/tests: also making tests compatible with ARM64
  * Adding DKMS package for igb_uio
  * Build static dpdk with -fPIC so it can be used by shared libraries
  * debian/copyright: fixing Canonical's copyright entry
  * Renaming symbol files so they can match the right package
  * Drop the arch specific symbol files, as they are identical

  [ Anders Roxell ]
  * debian/dpdk.init: add remote_fs (lintian)
  * debian/control: fixing week-library-dev-dependency (lintian)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 17 May 2016 14:23:21 +0200

dpdk (2.2.0-0ubuntu9) yakkety; urgency=medium

  * d/p/ubuntu-backport-[36-37] fix virtio issues (LP: #1570195):
    - don't let DPDK initialize virtio devices still in use by the kernel
    - this avoids conflicts between kernel and dpdk usage of those devices
    - an admin now has to unbind/bind devices as on physical hardware
    - this is in the dpdk 16.04 release and delta can then be dropped
    - d/dpdk-doc.README.Debian update for changes in virtio-pci handling
    - d/dpdk.interfaces update for changes in virtio-pci handling
  * d/p/ubuntu-backport-38... fix for memory leak (LP: #1570466):
    - call vhost_destroy_device on removing vhost user ports to fix memory leak
    - this likely is in the dpdk 16.07 release and delta can then be dropped
  * d/p/ubuntu-fix-vhost-user-socket-permission.patch fox (LP: #1546565):
    - when vhost_user sockets are created they are owner:group of the process
    - the DPDK api to create those has no way to specify owner:group
    - to fix that without breaking the API and potential workaround code in
      consumers of the library like openvswitch 2.6 for example. This patch
      adds an EAL commandline option to specify user:group created vhost_user
      sockets should have.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 27 Apr 2016 07:52:48 -0500

dpdk (2.2.0-0ubuntu7) xenial; urgency=medium

  * Increase max_map_count after setting huge pages (LP: #1507921):
    - The default config of 65530 would cause issues as soon as about 64GB or
      more are used as 2M huge pages for dpdk.
    - Increase this value to base+2*#hugepages to avoid issues on huge systems.
  * d/p/ubuntu-backport-[28-32,34-35] backports for stability (LP: #1568838):
     - these will be in the 16.04 dpdk release, delta can then be dropped.
     - 5 fixes that do not change api/behaviour but fix serious issues.
        - 01 f82f705b lpm: fix allocation of an existing object
        - 02 f9bd3342 hash: fix multi-process support
        - 03 1aadacb5 hash: fix allocation of an existing object
        - 04 5d7bfb73 hash: fix race condition at creation
        - 05 fe671356 vfio: fix resource leak
        - 06 356445f9 port: fix ring writer buffer overflow
        - 07 52f7a5ae port: fix burst size mask type
  * d/p/ubuntu-backport-33-vhost-user-add-error-handling-for-fd-1023.patch
     - this will likely be in dpdk release 16.07 and delta can then be dropped.
     - fixes a crash on using fd's >1023 (LP: #1566874)
  * d/p/ubuntu-fix-lpm-use-after-free-and-leak.patch fix lpm_free (LP: #1569375)
     - the old patches had an error freeing a pointer which had no meta data
     - that lead to a crash on any lpm_free call
     - folded into the fix that generally covers the lpm allocation and free
       weaknesses already (also there this particular mistake was added)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Apr 2016 16:13:47 +0200

dpdk (2.2.0-0ubuntu6) xenial; urgency=medium

  * d/dpdk-init fix handling of multiple huge page sizes (LP: #1557532):
     - dpdk-init now ensures non-default-hugepage-size mountpoints are
       available as well.
     - extra mountpoints are only created if requested in dpdk.conf and not yet
       available (e.g. by the admin).
  * d/dpdk-init fix issues with unassigned devices (LP: #1558485):
     - dpdk-init no more checks /sys/.../driver of the device unconditionally
     - removed the superfluous tr call in that path
  * d/p/ubuntu-fix-lpm-use-after-free-and-leak.patch lpm/lpm6 (LP: #1554009):
     - lpm/lpm6 fix use after free on lpm[6]_create
     - lpm/lpm6 fix missing frees of rules_tbl substructure
     - lpm/lpm6 fix missing free of lpm due to early exit
     - make RTE_LOG messages of the failed allocation unique
  * d/p/ubuntu-backport-[01-26] backport for stability (LP: #1559981):
     - these will be in the following dpdk release and delta can then be dropped
     - 26 fixes that do not change api/behaviour but fix serious issues
        - 01 d3a274ce app/testpmd: handle SIGINT and SIGTERM
        - 02 308df2bf Handle SIGINT and SIGTERM in l3fwd.
        - 03 da82ee17 tools: fix unbinding failure handling
        - 04 16c1814c tools: support Python 3 in bind script
        - 05 bb9f4085 tools: support binding to built-in kernel modules
        - 06 6e7caa1a eal/linux: support built-in kernel modules
        - 07 86f36ff9 mempool: fix leak when creation fails
        - 08 ca67ed28 vhost: fix leak of fds and mmaps
        - 09 fa11a8a7 port: fix crash for ring writer nodrop
        - 10 04f36690 port: fix crash for ethdev writer nodrop
        - 11 c7a4ff80 i40e: fix overflow
        - 12 097e920c i40e: fix inverted check for no refcount
        - 13 330aa319 i40e: fix VLAN filtering
        - 14 9f44dd3d i40e/base: fix missing check for stopped admin queue
        - 15 8a880736 i40e/base: fix driver load failure
        - 16 7656a546 fm10k: fix VLAN flag in scattered Rx
        - 17 c6fb0e55 pcap: fix captured frame length
        - 18 6e027237 bonding: fix detach of bonded device
        - 19 df3e8ad7 bonding: fix detach of slave devices
        - 20 786c990a bonding: copy entire config structure in mode 4
        - 21 6698820b bonding: do not ignore multicast in mode 4
        - 22 8997a10b bonding: fix active slaves with no primary
        - 23 7a7122ed bonding: do not activate slave twice
        - 24 2186fff3 bonding: fix crash when no slave device
        - 25 c680a4a8 virtio: fix crash in statistics functions
        - 26 3b1e3e4e virtio: fix descriptors pointing to the same buffer
  * d/p/ubuntu-backport-27-virtio-fix-restart.patch for (LP: #1559981):
     - fixing re-initializing the ethdev as openvswitch-dpdk does in the
       virtio pmd driver by moving the detection of already being initialized
       from virtio_dev_close to virtio_dev_start/stop
     - this will be in the following dpdk release and delta can then be dropped
  * d/rules build with debuginfo (LP: #1560839):
     - exporting CFLAGS for all dpdk build processes
     - dh_strip will automatically and create -dbgsym packages accordingly

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 23 Mar 2016 10:34:50 +0100

dpdk (2.2.0-0ubuntu5) xenial; urgency=medium

  * d/t/test-initscripts fix issues regarding 1G hugepages
     - the dep8 was already taking care of 1G hugepages being not supported in
       some environments. But it was failing when supported, but not enough
       memory available.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Mar 2016 17:19:24 +0000

dpdk (2.2.0-0ubuntu4) xenial; urgency=medium

  * harden d/dpdk-init for configuration issues (LP: #1551601):
     - detect and warn about bad bus specifications.
     - detect and warn about incomplete device specifications.
     - detect and warn about non existing pci IDs.
     - avoid failing when working with unassigned devices.
     - d/t/test-initscripts now testing various misconfigs.
     - d/t/test-initscripts now also verifying service status.
  * d/dpdk-init d/dpdk.conf now also support 1G hugepages (LP: #1551767):
     - detect and warn if 1G pages are not available but configured.
     - d/t/test-initscripts now also testing hugepage allocations.
     - d/dpdk.conf has an option to drop caches to incease the likeliness of
       successful 1G hugepage allocations (default off).
  * d/rules replaced uname -m with DEB_HOST_GNU_CPU (LP: #1551796):
  * fix testpmd to run without Xen environment (LP: #1551752):
     - upstream discussion is slow, but we need a fix now. We can drop this
       and change to the upstream solution when it is available.
  * avoid errors due to missing modules (LP: #1554397):
     - d/dpdk-init gracefully warns about missing modules.
     - d/control now suggests linux-image-generic.
     - d/dpdk.interfaces has a comment that makes the user aware.
  * d/dpdk-init fix failure loading vfio-pci (LP: #1554214):
     - d/dpdk-init no more converts "-" to "_" to make vfio-pci work
     - d/dpdk.interfaces enhanced comments and updated examples
     - d/dpdk-doc.README.debian got extra notes about using some modules
  * unify whitespace/tabs in packaging and scripts
     - tabs/spaces to just spaces in d/dpdk-init and d/dpdk.init.
     - few remaining spaces to tabs in d/rules
  * d/t/test-* now satisfy shellcheck
  * d/* fix various comments and guides to be more readable
  * d/dpdk-init and d/copyright updated copyright information

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Mar 2016 08:48:58 +0000

dpdk (2.2.0-0ubuntu3) xenial; urgency=medium

  * Guard dep8 tests against non supported platforms (LP: #1551158):
    - d/t/control now avoids failing due to "dependencies are unsatisfiable"
      when fetching packages. The packages architecture restrictions got added
      to avoid that.
    - d/t/check-dpdk-supported-arch.sh is called by all DPDK tests to ensure
      the platform is supported. If not it skips the test.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 29 Feb 2016 11:03:39 +0000

dpdk (2.2.0-0ubuntu2) xenial; urgency=medium

  [ Christian Ehrhardt ]
  * fix libdpdk.so library linking (LP: #1547517)
    - libdpdk.so now has proper linkage information (was underlinked)
      Note: this can be dropped when moving to DPDK 2.3 with linker script
            instead of combined shared lib.
    - remove reference to extra linkage needed when building against -ldpdk
      in dpdk-doc README.
    - add dep8 d/t/test-linkage to verify linking dpdk works as expected.
  * d/control remove ${shlibs:Depends} on package with no linked binary
    avoiding dpkg-gencontrol build warning about unknown ${shlibs:Depends}.
  * d/dpdk-doc.README.debian fix path to DPDK build environment variable
    helper script in README file.
  * Update VCS Info in d/control to include our repositories.

  [  James Page ]
  * d/*: wrap-and-sort.
  * d/control: Trim trailing whitespace.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 25 Feb 2016 16:07:21 +0000

dpdk (2.2.0-0ubuntu1) xenial; urgency=low

  * Merge from Upstream to DPDK 2.2
    Remaining changes:
    - Set soabi for the combined shared library
  * Drop changes:
    - configuring RTE_LIBNAME to dpdk as it is the upstream default now
    - enabled formerly non building components as they build properly in 2.2
    - d/p/ubunut-avoid-texlive-fonts-extra, d/control:
      Replace use of DejaVuSansMono is no more needed as upstream changed the
      font. Thereby we can drop our delta.
    - d/p/ubuntu-fix-gcc5-ftbs.patch no more needed with DPDK 2.2
  * Added changes
    - Disable CONFIG_RTE_NEXT_ABI as required for packaging (git 506f51cc)
    - Enable LIBRTE_PMD_PCAP which is useful for some DPDK testcase examples
      this adds a build dependency to libpcap-dev
    - Fully support DH_VERBOSE for build debugging convenience
    - adapt to new make infrastructure of dpdk 2.2
    - d/README.debian: convert into d/dpdk-doc.README.debian
    - d/dpdk-doc.README.debian: update recommendations about sdk env variables
    - d/dpdk-sdk-env.sh: now deployed in /usr/share/dpdk to be opt in
    - enable XEN support for dpdk (LP: #1521289).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Feb 2016 09:29:28 +0100

dpdk (2.0.0-0ubuntu3) xenial; urgency=medium

  * Only generate HTML documentation, easing backports to 14.04 and
    reducing the time to build and size of the -doc package (LP: #1524700).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Dec 2015 10:23:51 +0000

dpdk (2.0.0-0ubuntu2) xenial; urgency=low

  * d/p/ubunut-avoid-texlive-fonts-extra, d/control:
    Replace use of DejaVuSansMono by courier and drop dependency on the
    texlive-fonts-extra package (which is in universe).
  * d/watch added to allow use of uscan to check for upstream releases.
  * d/dpdk-init: fix error if bash variables could not be resolved that
    appeared as "[: -gt: unexpected operator" (had no functional impact)
  * d/dpdk-init:
    Replace use of head and cut (in /usr/bin) commands with sed (in /bin)
    while also adding /usr/bin to the PATH used on direct /etc/init.d/dpdk
    invocation. The PATH is only updated to be on the safe side, there
    should be no other commands from /usr/bin used (LP: #1516543).
  * d/t/test-mountpoint: add dep8 test to cover the issue of LP #1517075.
  * d/dpdk-dev.install: Copy the SDK makefiles into place (LP: #1517075).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Nov 2015 11:50:15 +0100

dpdk (2.0.0-0ubuntu1) wily; urgency=low

  * Initial release (LP: #1487538)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 01 Jun 2015 18:46:38 +0200
